Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365321 - System xmp.conf is not respected
Summary: System xmp.conf is not respected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xmp
Version: 24
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 23:23 UTC by Yaakov Selkowitz
Modified: 2016-08-29 21:21 UTC (History)
2 users (show)

Fixed In Version: xmp-4.1.0-2.fc25 xmp-4.1.0-2.fc24 xmp-4.1.0-2.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:19:02 UTC


Attachments (Terms of Use)
Code patch for 4.1.0 (deleted)
2016-08-08 23:23 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2016-08-08 23:23:28 UTC
Created attachment 1188945 [details]
Code patch for 4.1.0

Description of problem:
xmp does not respect the settings in /etc/xmp/*.conf due to a mistaken hardcoded location.

Version-Release number of selected component (if applicable):
xmp-4.0.11-1.fc24.x86_64
xmp-4.1.0-1.fc24.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Change the value of 'driver' in /etc/xmp/xmp.conf to 'wav'
2. Play a module with xmp

Actual results:
"Using PulseAudio sound output", file is played to audio device (settings are not respected)

Expected results:
"Using WAV writer: out.wav", out.wav is created, audio device remains silent (settings are respected)

Additional info:
$ strings /usr/bin/xmp | grep /etc
/etc/xmp.conf
/etc/modules.conf

Comment 1 Dominik 'Rathann' Mierzejewski 2016-08-19 23:29:25 UTC
Thanks for the report and the patch. I fixed it differently.

Comment 2 Fedora Update System 2016-08-19 23:39:59 UTC
xmp-4.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3bcc142ba

Comment 3 Fedora Update System 2016-08-19 23:40:05 UTC
xmp-4.1.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8ea20a3d2

Comment 4 Fedora Update System 2016-08-19 23:40:09 UTC
xmp-4.1.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e570b45a2d

Comment 5 Fedora Update System 2016-08-20 18:50:12 UTC
xmp-4.1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8ea20a3d2

Comment 6 Fedora Update System 2016-08-21 04:22:21 UTC
xmp-4.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3bcc142ba

Comment 7 Fedora Update System 2016-08-21 04:24:25 UTC
xmp-4.1.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e570b45a2d

Comment 8 Fedora Update System 2016-08-27 10:19:00 UTC
xmp-4.1.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-29 18:53:37 UTC
xmp-4.1.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-08-29 21:21:37 UTC
xmp-4.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.